
Auto Multiple Choice - Support # 154: groupes de question

Status: Closed Priority: Normal
Author: isabelle dosne Category:
Created: 03/25/2013 Assignee:
Updated: 05/29/2013 Due date:
Description: j'ai la version amc 1.1.1335 (svn:1339).

Je cherche à modifier l'ordre des groupes sans changer l'ordre des questions dans chaque groupe. Est-ce 
possible ?

Cordialement
IDosne

History
03/25/2013 08:54 am - Alexis Bienvenüe
C'est possible si vous utilisez le format LaTeX pour votre fichier source. Pour cela, il suffit de mettre les questions qui doivent rester ordonnées dans un 
seul élément du groupe qui sera à mélanger.
<pre>
\element{general}{
  % code pour question A1
  % code pour question A2
  % ...
}
\element{general}{
  % code pour question B1
  % code pour question B2
  ...
}
</pre>
Quand vous mélangez le groupe @general@, les questions A restent ensemble et dans le même ordre, de même pour B, mais on pourra avoir A puis 
B ou B puis A.

03/25/2013 03:38 pm - Alexis Bienvenüe
- Tracker changed from Bug to Support

03/25/2013 09:23 pm - isabelle dosne
J'ai bien mis les questions qui doivent rester ordonnées dans un seul élément du groupe. Elles ne se mélangent plus mais les groupes ne se 
mélangent pas pour autant !
Pouvez-vous me dire où est mon erreur ?

03/25/2013 09:28 pm - Alexis Bienvenüe
- File sujet.tex added

J'ai mis votre sujet en pièce jointe plutôt que dans votre texte.

03/25/2013 09:32 pm - Alexis Bienvenüe
Vous avez trois éléments, chacun contenant du texte et plusieurs questions. Pour pouvoir les mélanger, vous devez mettre chacun de ces éléments 
_dans un même groupe_, puis mélanger ce groupe et le restituer. Comme vous mettez un élément dans @groupe1@, son mélange ne change rien et 
comme vous restituez les groupes 1 2 et 3 dans l'ordre, vous obtenez toujours le même sujet.
En résumé : remplacer @groupe1@, @groupe2@ et @groupe3@ par un @groupe@, et terminer la copie par
<pre>
\melangegroupe{groupe}
\restituegroupe{groupe}
</pre>

03/25/2013 09:46 pm - isabelle dosne
En effet, maintenant cela fonctionne. 
Merci

05/29/2013 08:23 am - Alexis Bienvenüe
- % Done changed from 0 to 100

- Status changed from New to Closed

Files
sujet.tex 6.9 kB 03/25/2013 Alexis Bienvenüe
